jQuery(document).ready(function($) {

/*------------------------------------------------
            DECLARATIONS
------------------------------------------------*/

    var loader              = $('#loader');
    var loader_container    = $('#preloader');
    var scroll              = $(window).scrollTop();  
    var scrollup            = $('.backtotop');
    var menu_toggle         = $('.menu-toggle');
    var dropdown_toggle     = $('.main-navigation button.dropdown-toggle');
    var nav_menu            = $('.main-navigation ul.nav-menu');

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

    loader_container.delay(1000).fadeOut();
    loader.delay(1000).fadeOut("slow");

/*------------------------------------------------
            BACK TO TOP
------------------------------------------------*/

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            scrollup.css({bottom:"25px"});
        } 
        else {
            scrollup.css({bottom:"-100px"});
        }
    });

    scrollup.click(function() {
        $('html, body').animate({scrollTop: '0px'}, 800);
        return false;
    });

/*------------------------------------------------
            MAIN NAVIGATION
------------------------------------------------*/

    $('#top-bar').click(function(){
        $('#top-bar .wrapper').slideToggle();
        $('#top-bar').toggleClass('top-menu-active');
    });

    menu_toggle.click(function(){
        nav_menu.slideToggle();
        $('.main-navigation').toggleClass('menu-open');
        $('.menu-overlay').toggleClass('active');
        $(this).toggleClass('active');
    });

    dropdown_toggle.click(function() {
        $(this).toggleClass('active');
        $(this).parent().find('.sub-menu').first().slideToggle();
    });

    $(document).click(function (e) {
        var container = $("#masthead");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('#site-navigation').removeClass('menu-open');
            $('#primary-menu').slideUp();
            $('.menu-overlay').removeClass('active');
        }
    });

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            $('.fixed-header #masthead').addClass('nav-shrink');
        }
        else {
            $('.fixed-header #masthead').removeClass('nav-shrink');
        }
    });

    if ( $(window).width() > 1024 ) {
        $('.align-logo-center .site-branding').insertAfter('#site-navigation ul.nav-menu > li:nth-child(3)');
    }

    $(window).resize(function() {
        if ( $(window).width() < 1024 )
            $('.align-logo-center .site-branding').insertBefore('#site-navigation');
        else
            $('.align-logo-center .site-branding').insertAfter('#site-navigation ul.nav-menu > li:nth-child(3)');            
    });

/*------------------------------------------------
            SLICK SLIDER
------------------------------------------------*/


$('.products-slider').slick();

$('#travelism_blog_slider_section').slick();

$('.happy-clients-content').slick({
        responsive: [
        {
            breakpoint: 1023,
            settings: {
            slidesToShow: 2
            }
        },
        {
            breakpoint: 767,
            settings: {
                slidesToShow: 1
            }
        }
        ]
    });

$('#travelism_featured_section .featured-slider').slick({
    responsive: [
        {
            breakpoint: 1024,
            settings: {
            slidesToShow: 2,
            slidesToScroll: 1
            }
        },
        {
            breakpoint: 767,
            settings: {
                slidesToShow: 1,
                slidesToScroll: 1
            }
        }
        ]
    });

$('#travelism_gallery_section .gallery-content').slick({
    responsive: [
        {
            breakpoint: 1024,
            settings: {
            slidesToShow: 2,
            slidesToScroll: 1
            }
        },
        {
            breakpoint: 767,
            settings: {
                slidesToShow: 1,
                slidesToScroll: 1
            }
        }
        ]
    });



$('.hero-match-height').matchHeight();

$('.testimonial-item').matchHeight();

$('.testimonial-item .entry-container').matchHeight();

/*------------------------------------------------
                Single Trip
------------------------------------------------*/
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(1)').attr('data-scroll', '#overview');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(2)').attr('data-scroll', '#trip_outline');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(3)').attr('data-scroll', '#trip_includes');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(4)').attr('data-scroll', '#trip_excludes');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(5)').attr('data-scroll', '#gallery');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(6)').attr('data-scroll', '#reviews');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(7)').attr('data-scroll', '#booking');
$('.wp-travel-tab-wrapper .tab-list.resp-tabs-list li:nth-child(8)').attr('data-scroll', '#faq');

if( $('body').hasClass('single-itineraries') ) {
    $(".wp-travel-tab-wrapper .tab-list.resp-tabs-list li").click(function(e) {
        var section_id = $(this).attr("data-scroll");

        if( $('body').hasClass('menu-sticky') ) {
            $('html,body').animate({
                scrollTop: $( section_id ).offset().top-190}, 
            '2000');
        }
        else {
            $('html,body').animate({
                scrollTop: $( section_id ).offset().top - 100}, 
            '2000');
        }

        $('.wp-travel-tab-wrapper .tab-list.resp-tabs-list').addClass('active');
    });

    var sectionPosition = $("#overview").offset().top-280;
    $(window).scroll(function() {
        var scroll = $(window).scrollTop();
        if (scroll >= sectionPosition ) {
            $('.wp-travel-tab-wrapper .tab-list.resp-tabs-list').addClass('active');
        }
        else {
            $('.wp-travel-tab-wrapper .tab-list.resp-tabs-list').removeClass('active');
        }
    });
}

/*--------------------------------------------------------------
 Keyboard Navigation
----------------------------------------------------------------*/
if( $(window).width() < 1024 ) {
    $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
        if( e.which === 9 ) {
            e.preventDefault();
            $('#masthead').find('.menu-toggle').focus();
        }
    });

    $('#primary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
        if( e.which === 9 ) {
            e.preventDefault();
            $('#masthead').find('.menu-toggle').focus();
        }
    });
}
else {
    $('#primary-menu').find("li").unbind('keydown');
}

$(window).resize(function() {
    if( $(window).width() < 1024 ) {
        $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('#masthead').find('.menu-toggle').focus();
            }
        });

        $('#primary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
            if( e.which === 9 ) {
                e.preventDefault();
                $('#masthead').find('.menu-toggle').focus();
            }
        });
    }
    else {
        $('#primary-menu').find("li").unbind('keydown');
    }
});

menu_toggle.on('keydown', function (e) {
    tabKey = e.keyCode === 9;
    shiftKey = e.shiftKey;

    if( menu_toggle.hasClass('active') ) {
        if ( shiftKey && tabKey ) {
            e.preventDefault();
            nav_menu.slideUp();
            $('.main-navigation').removeClass('menu-open');
            $('.menu-overlay').removeClass('active');
            menu_toggle.removeClass('active');
        };
    }
});

/*------------------------------------------------
                MAGNIFIC POPUP
------------------------------------------------*/

$('.popup-video').magnificPopup({
    type: 'iframe',
    mainClass: 'mfp-fade',
    preloader: true,
});

/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});