<?php
/**
* Travelism Pro: Color Patterns
*
* @package WordPress
* @subpackage Travelism Pro
* @since 1.0
*/

/**
* Generate the CSS for the current custom color scheme.
*/
function travelism_pro_custom_colors_css() {
	$options= travelism_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];

	$css = '
	.backtotop:hover,
	.backtotop:focus,
#top-bar,
	.main-navigation .count,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	form.search-form button.search-submit,
	.author-name:after,
#recipes-section,
	.post-item-wrapper .cat-links a,
	.second-design .btn,
	.second-design .section-title:after,
	.third-design .btn,
#masthead .custom-button,
	.btn:hover, 
	.btn:focus,
	.woocommerce a.button,
#travelism_wildlife_section .read-story a,
#travelism_gallery_section .read-story a:hover, 
#travelism_gallery_section .read-story a:focus,
#travelism_articles_section .date,
	.second-design #masthead .custom-button,
#travelism_blog_popular_post_section .cat-links a, 
#travelism_recent_post_section .cat-links a, 
#travelism_most_read_post_section .cat-links a,
#travelism_subscribe_now_section button[type="submit"],
	.fourth-design #masthead .custom-button,
	.fourth-design .btn,
	.fourth-design .section-title:after,
	.fourth-design #travelism_business_service_section .read-more i,
	.woocommerce ul.products li.product .onsale, 
	.woocommerce span.onsale,
	.fourth-design.woocommerce #respond input#submit, 
	.fourth-design.woocommerce a.button, 
	.fourth-design.woocommerce button.button, 
	.woocommerce input.button,
	span.discount-offer,
	.fourth-design #travelism_blog_popular_post_section .cat-links a, 
	.fourth-design #travelism_recent_post_section .cat-links a, 
	.fourth-design #travelism_subscribe_now_section button[type="submit"],
	.fourth-design #travelism_articles_section .date,
	.third-design #travelism_blog_popular_post_section .cat-links a, 
	.third-design #travelism_recent_post_section .cat-links a, 
	.third-design #travelism_subscribe_now_section button[type="submit"],
#colophon input[type="submit"],
	.woocommerce ul.products li.product .onsale, 
	.woocommerce span.onsale,
#travelism_featured_section .btn:hover, 
#travelism_featured_section .btn:focus { 
	background-color: ' . esc_attr($color_value) . '; 
}';

$css = '#masthead .custom-button,
button:hover,
button:focus {  
	background-color: ' . esc_attr($color_value) . ';
	border-color: ' . esc_attr($color_value) . ';
}';

$css .= '
.site-title a:hover,
.site-title a:focus,
.site-branding-wrapper ul.login-register li a:hover,
.site-branding-wrapper ul.login-register li a:focus,
.main-navigation a:hover,
.main-navigation ul.nav-menu > li > a:hover,
.post-navigation a, 
.posts-navigation a,
.navigation.post-navigation a:hover,
.navigation.posts-navigation a:hover,
.navigation.post-navigation a:focus,
.navigation.posts-navigation a:focus,
.header-layout-2 .main-navigation ul#primary-menu li.current-menu-item > a, 
.header-layout-2 .main-navigation ul#primary-menu li > a:hover, 
.header-layout-2 .main-navigation ul#primary-menu li > a:focus, 
.header-layout-2 .main-navigation ul#primary-menu li:hover > a, 
.header-layout-2 .main-navigation ul#primary-menu li:focus > a,
#secondary .cat-links a,
#secondary a:hover,
#secondary a:focus,
.page-header small,
.single-post-wrapper span.tags-links a:hover,
.single-post-wrapper span.tags-links a:focus,
.comment-meta .url:hover,
.comment-meta .url:focus,
.comment-metadata a:hover time,
.comment-metadata a:focus time,
#recipes-section .btn:hover,
#recipes-section .btn:focus,
.post-item-wrapper .entry-title a:hover,
.post-item-wrapper .entry-title a:focus,
.single-wrapper .entry-meta span a:hover, 
.single-wrapper .entry-meta span a:focus,
.single-wrapper .cat-links a,
.single-wrapper .entry-meta span.byline a.fn:hover,
.single-wrapper .entry-meta span.byline a.fn:focus,
.single-wrapper .entry-meta > span a:hover,
.single-wrapper .entry-meta > span a:focus,
.popup:hover,
.popup:focus,
#colophon a:hover,
#colophon a:focus,
.fourth-design .posted-on a:hover,
.fourth-design .posted-on a:focus,
#travelism_hero_banner_section .section-subtitle,
.btn,
#travelism_northface_jacket_section .section-subtitle,
.woocommerce-loop-product__title:hover,
.woocommerce-loop-product__title:focus,
#travelism_northface_jacket_section span.woocommerce-Price-amount.amount:focus,
#travelism_northface_jacket_section span.woocommerce-Price-amount.amount:hover,
#travelism_northface_jacket_section span.per-piece:hover,
#travelism_northface_jacket_section span.per-piece:focus,
#travelism_featured_section .section-subtitle,
#travelism_featured_section span a,
#travelism_featured_section .entry-title a:hover, 
#travelism_featured_section .entry-title a:focus,
#travelism_video_section .read-story a,
#travelism_wildlife_section .section-subtitle,
.section-subtitle,
#travelism_gallery_section .entry-title:hover a,
#travelism_gallery_section .entry-title:focus a,
#travelism_articles_section .post-categories a,
#travelism_articles_section .entry-title:hover a, 
#travelism_articles_section .entry-title:focus a,
#travelism_blog_cta_section .video-button a,
.second-design span.posted-on a,
.lite-version.second-design span.posted-on a,
.lite-version.second-design #travelism_blog_popular_post_section .entry-title a:hover,
.second-design #travelism_blog_popular_post_section .entry-title a:hover,
.lite-version .admin-profile .admin-name a:hover,
.lite-version .admin-profile .admin-name a:focus,
.admin-profile .admin-name a:hover,
.admin-profile .admin-name a:focus,
#travelism_most_read_post_section .entry-title:hover a,
#travelism_most_read_post_section .entry-title:focus a,
.lite-version #travelism_most_read_post_section .entry-title:hover a,
.lite-version #travelism_most_read_post_section .entry-title:focus a,
.third-design .entry-title a:hover, 
.third-design span.posted-on a,
.lite-version.third-design #travelism_happy_clients_section .entry-title a:hover,
.lite-version.third-design #travelism_happy_clients_section .entry-title a:focus,
.lite-version.third-design #travelism_articles_section .entry-title:hover a, 
.lite-version.third-design #travelism_articles_section .entry-title:focus a,
.fourth-design .section-subtitle,
.lite-version.fourth-design .entry-title a:hover,
.lite-version.fourth-design .entry-title a:focus,
.lite-version.fourth-design #travelism_business_service_section .read-more a:hover, 
.lite-version.fourth-design #travelism_business_service_section .read-more a:focus,
.fourth-design .product_meta a:hover, 
.fourth-design .product_meta a:focus,
.fourth-design.woocommerce ul.products li.product .price,
.fourth-design.woocommerce #respond input#submit:hover, 
.fourth-design.woocommerce a.button:hover, 
.fourth-design.woocommerce button.button:hover, 
.fourth-design.woocommerce input.button:hover,
.fourth-design #travelism_business_about_section span.woocommerce-Price-amount.amount,
#travelism_trending_products_section .price,
.fourth-design #travelism_happy_clients_section .entry-title a:hover,
.fourth-design #travelism_happy_clients_section .entry-title a:focus,
.fourth-design #travelism_articles_section .post-categories a, 
.fourth-design #travelism_articles_section .post-categories li:after, 
.fourth-design #travelism_articles_section .entry-title:hover a, 
.fourth-design #travelism_articles_section .entry-title:focus a,
.main-navigation ul#primary-menu > li.current-menu-item > a,
.main-navigation ul#primary-menu > li > a:hover,
.main-navigation ul#primary-menu > li > a:focus,
.main-navigation ul#primary-menu > li:hover > a,
.main-navigation ul#primary-menu > li:focus > a,
.main-navigation ul#primary-menu > li.current-menu-item > a,
.main-navigation a:hover,
.main-navigation a:focus,
#colophon .site-info .copyright-text a:hover,
#colophon .site-info .copyright-text a:focus,
.contact-info:hover a, 
.contact-info:focus a,
#travelism_happy_clients_section .entry-title:hover a, 
#travelism_happy_clients_section .entry-title:focus a,
.main-navigation ul#primary-menu > li.current-menu-item > a,
.main-navigation ul#primary-menu > li.current-menu-item > a svg,
#travelism_featured_section article:hover .entry-title a, 
#travelism_featured_section article:focus .entry-title a,
#travelism_gallery_section .location a:hover, 
#travelism_gallery_section .location a:focus,
#travelism_articles_section .post-categories li:after,
#colophon.site-footer a:hover, 
#colophon.site-footer a:focus {
color: ' . esc_attr($color_value) . '; 
}';

$css .= '#travelism_video_section .read-story a:hover, #travelism_video_section .read-story a:focus {
	color: #000;
}';

$css .= '#travelism_wildlife_section .read-story a:hover, #travelism_wildlife_section .read-story a:focus {
	background-color: #000;
}';

$css .= '
.loader-container svg,
.site-branding-wrapper ul.login-register li a:hover svg,
.site-branding-wrapper ul.login-register li a:focus svg,
.site-branding-wrapper form.search-form button.search-submit:hover svg,
.site-branding-wrapper form.search-form button.search-submit:focus svg,
.single-post-wrapper span.posted-on svg,
.single-post-wrapper span.cat-links svg,
.main-navigation ul#primary-menu > li.current-menu-item > a svg,
.main-navigation ul.nav-menu > li:hover svg,
.main-navigation ul.nav-menu > li:focus svg,
.contact-info:hover svg,
.contact-info:focus svg { 
	fill: ' . esc_attr($color_value) . '; 
}';

$css .= '
.pagination .page-numbers.current,
.pagination .page-numbers:hover,
.pagination .page-numbers:focus,
.single-post-wrapper span.tags-links a:hover,
.single-post-wrapper span.tags-links a:focus,
.gallery-border,
#masthead .custom-button,
.btn:hover, 
.btn:focus,
.woocommerce a.button,
#travelism_gallery_section .read-story a,
.second-design #masthead .custom-button,
#travelism_blog_cta_section .video-button a,
#travelism_subscribe_now_section button[type="submit"],
.fourth-design.woocommerce #respond input#submit:hover, 
.fourth-design.woocommerce a.button:hover, 
.fourth-design.woocommerce button.button:hover, 
.fourth-design.woocommerce input.button:hover,
.fourth-design.woocommerce #respond input#submit, 
.fourth-design.woocommerce a.button, 
.fourth-design.woocommerce button.button, 
.woocommerce input.button,
.fourth-design #travelism_blog_popular_post_section .cat-links a, 
.fourth-design #travelism_recent_post_section .cat-links a, 
.fourth-design #travelism_subscribe_now_section button[type="submit"],
.third-design #travelism_blog_popular_post_section .cat-links a, 
.third-design #travelism_recent_post_section .cat-links a, 
.third-design #travelism_subscribe_now_section button[type="submit"] { 
	border-color: ' . esc_attr($color_value) . ';
}';

$css .= '#travelism_gallery_section .entry-title a,
#travelism_articles_section .post-categories a:hover,
#travelism_articles_section .post-categories a:focus,
#travelism_articles_section .entry-title a,
#travelism_most_read_post_section .entry-title a {
color: #fff;
}
.lite-version #travelism_most_read_post_section .entry-title a {
	color: #000;
}';

$css .= '
#business-services-section .service-item:before { 
border-bottom-color: ' . esc_attr($color_value) . ';
border-right-color: ' . esc_attr($color_value) . ';
}';

$css .= '
#business-services-section .service-item:after { 
border-top-color: ' . esc_attr($color_value) . ';
border-left-color: ' . esc_attr($color_value) . ';
}';

$css .= '
.fourth-design .section-header { 
	border-bottom-color: ' . esc_attr($color_value) . ';
}

@media screen and (min-width: 767px) {
	.second-design #colophon a:hover, 
	.second-design #colophon a:focus {
		color: ' . esc_attr($color_value) . ';
	}
}

@media screen and (min-width: 1024px) {
	.main-navigation ul#primary-menu li a.custom-menu-item:hover, 
	.main-navigation ul#primary-menu li a.custom-menu-item:focus {
		background-color: #fff;
		border-color: #fff;
		color: ' . esc_attr($color_value) . ';
	}
	.main-navigation ul#primary-menu ul li.current-menu-item > a,
	.main-navigation ul#primary-menu ul li:hover > a,
	.main-navigation ul#primary-menu ul li:focus > a,
	.second-design .main-navigation ul#primary-menu ul li.current-menu-item > a, 
	.second-design .main-navigation ul#primary-menu ul li:hover > a, 
	.second-design .main-navigation ul#primary-menu ul li:focus > a,
	.second-design #colophon a:hover, .fourth-design #colophon a:focus,
	.third-design #colophon a:hover, .fourth-design #colophon a:focus
	.third-design .main-navigation ul#primary-menu ul li.current-menu-item > a, 
	.third-design .main-navigation ul#primary-menu ul li:hover > a, 
	.third-design .main-navigation ul#primary-menu ul li:focus > a,
	.fourth-design .main-navigation ul#primary-menu ul li.current-menu-item > a, 
	.fourth-design .main-navigation ul#primary-menu ul li:hover > a, 
	.fourth-design .main-navigation ul#primary-menu ul li:focus > a ,
	.fourth-design #colophon a:hover, .fourth-design #colophon a:focus {
		color: ' . esc_attr($color_value) . ';
	}
	.main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
	.main-navigation ul ul li.menu-item-has-children > a:hover > svg {
		fill: ' . esc_attr($color_value) . ';
	}
	.header-layout-2 .main-navigation ul.nav-menu li a.custom-menu-item {
		background-color: ' . esc_attr($color_value) . ';
	}
	.header-layout-2 .main-navigation ul.nav-menu li a.custom-menu-item {
		border-color: ' . esc_attr($color_value) . ';
	}
}';

/**
* Filters Travelism Pro custom colors CSS.
*
* @since Travelism Pro 1.0.0
*
* @param string $css        Base theme colors CSS.
*/
return apply_filters( 'travelism_pro_custom_colors_css', $css );
}
