<?php


function travelism_pro_style( $args = array() ) {
		$options = travelism_pro_get_theme_options();
	?>
		<style type="text/css">

			.trail-item a, .trail-item span{
				font-size: 22px;
			}

			<?php if ( !empty($options['theme_menu_typography']) ): ?>
				#primary-menu a,
				.contact-info a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			<?php if ( !empty($options['theme_site_title_typography']) ): ?>
				.site-title a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			<?php if ( !empty($options['theme_site_description_typography']) ): ?>
				.site-description {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			
			<?php if ( !empty($options['theme_head_typography']) ): ?>
				h1, h2, h3, h4, h5, h6 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_body_typography']) ): ?>
				body p {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
				.btn,
				.more-link a
				 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif;
				}
			<?php endif ?>

			<?php if ($options['banner_image_enable'] == false ): ?>
			#page-site-header {
				padding: 206px 0;
			}
		<?php endif ?>

			<?php if( !empty( $options['menu_bg_color'] ) ) :?>
			.fixed-header #masthead.nav-shrink {
				background-color: <?php echo esc_attr( $options['menu_bg_color'] ) ?>;
			}
		<?php endif; ?>

			<?php if( !empty( $options['menu_item_color'] ) ) :?>
			.main-navigation a,
			#masthead .custom-button,
			.main-navigation ul.nav-menu > li > a > svg {
				color: <?php echo esc_attr( $options['menu_item_color'] ) ?>;
				fill: <?php echo esc_attr( $options['menu_item_color'] ) ?>;
			}
			.main-navigation a:hover,
			#masthead .custom-button:hover,
			.main-navigation ul.nav-menu > li > a > svg:hover {
				color: #7ca547;
				fill: #7ca547;
			}
		<?php endif; ?>

			<?php if( !empty( $options['menu_item_hover_color'] ) ) :?>
			.main-navigation ul#primary-menu > li.current-menu-item > a,
			.main-navigation ul#primary-menu > li > a:hover,
			.main-navigation ul#primary-menu > li > a:focus,
			.main-navigation ul#primary-menu > li:hover > a,
			.main-navigation ul#primary-menu > li:focus > a,
			.main-navigation a:hover,
			#masthead .custom-button:hover,
			.main-navigation ul.nav-menu > li > a > svg:hover,
			.main-navigation ul.nav-menu > li:hover svg,
			.main-navigation ul.nav-menu > li > a > svg:hover {
				color: <?php echo esc_attr( $options['menu_item_hover_color'] ) ?>;
				fill: <?php echo esc_attr( $options['menu_item_hover_color'] ) ?>;
			}
		<?php endif; ?>

		<?php if( !empty( $options['menu_no_color'] ) ) :?>

		#masthead .contact-info.clear a,
		#masthead .contact-info svg {
			color: <?php echo esc_attr( $options['menu_no_color'] ) ?>;
			fill: <?php echo esc_attr( $options['menu_no_color'] ) ?>;
		}
		#masthead .contact-info.clear a:hover,
		#masthead .contact-info svg:hover {
			color: #7ca547;
			fill: #7ca547;
		}

		<?php endif; ?>

		<?php if( !empty( $options['menu_no_hover_color'] ) ) :?>

		#masthead .contact-info.clear a:hover,
		#masthead .contact-info svg:hover {
			color: <?php echo esc_attr( $options['menu_no_hover_color'] ) ?>;
			fill: <?php echo esc_attr( $options['menu_no_hover_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['menu_button_color'] ) ) :?>

		#masthead .custom-button {
			background-color: <?php echo esc_attr( $options['menu_button_color'] ) ?>;
			border-color: <?php echo esc_attr( $options['menu_button_color'] ) ?>;
		}
		#masthead .custom-button:hover {
			background-color: #000;
			border-color: #000;
		}

		<?php endif; ?>

		<?php if( !empty( $options['menu_button_hover_color'] ) ) :?>

		#masthead .custom-button:hover {
			background-color: <?php echo esc_attr( $options['menu_button_hover_color'] ) ?>;
			border-color: <?php echo esc_attr( $options['menu_button_hover_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['footer_overlay_color'] ) ) :?>

		#colophon .overlay {
			background-color: <?php echo esc_attr( $options['footer_overlay_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['footer_bg_color'] ) ) :?>

		#colophon {
			background-color: <?php echo esc_attr( $options['footer_bg_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['widget_title_color'] ) ) :?>

		#colophon .widget-title {
			color: <?php echo esc_attr( $options['widget_title_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['widget_content_color'] ) ) :?>

		#colophon a,
		#colophon p,
		#colophon .site-info .copyright-text a,
		#colophon li,
		.site-footer strong {
			color: <?php echo esc_attr( $options['widget_content_color'] ) ?>;
		}
		#colophon a:hover,
		#colophon li:hover {
			color: #689731;
		}

		<?php endif; ?>

		<?php if( !empty( $options['footer_hover_color'] ) ) :?>

		#colophon a:hover,
		#colophon.site-footer a:hover,
		#colophon.site-footer a:focus,
		#colophon li:hover {
			color: <?php echo esc_attr( $options['footer_hover_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['footer_social_icon_color'] ) ) :?>

		#colophon .site-info .social-icons li a svg {
			fill: <?php echo esc_attr( $options['footer_social_icon_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['footer_hr_color'] ) ) :?>

		.home .footer-widgets-area:after {
			background-color: <?php echo esc_attr( $options['footer_hr_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['banner_image_overlay_color'] ) ) :?>

		#page-site-header .overlay {
			background-color: <?php echo esc_attr( $options['banner_image_overlay_color'] ) ?>;
		}

		<?php endif; ?>

		<?php if( !empty( $options['banner_bg_color'] ) ) :?>

		#page-site-header {
			background-color: <?php echo esc_attr( $options['banner_bg_color'] ) ?>;
		}

		<?php endif; ?>

			<?php if ( !empty($options['breadcrumb_title_color']) ): ?>
				#page-site-header .page-title,
				#breadcrumb-list .trail-items li {
				    color: <?php echo esc_attr( $options['breadcrumb_title_color'] ); ?>;
				}
				
			<?php endif; ?>

		<?php if ( !empty($options['breadcrumb_path_color']) ): ?>
				#breadcrumb-list .trail-items li a {
				    color: <?php echo esc_attr( $options['breadcrumb_path_color'] ); ?>;
				}
				#breadcrumb-list .trail-items li a:hover {
				    color: #fff;
				}
				
			<?php endif; ?>

			<?php if ( !empty( get_theme_mod( 'breadcrumb_alignment' ) ) ): ?>
		#page-site-header .wrapper {
			text-align: <?php echo esc_attr( get_theme_mod( 'breadcrumb_alignment' ) ) ?>;
		}
	<?php endif ?>

		</style>
		
<?php }

add_action( 'wp_head', 'travelism_pro_style' );