<?php
/**
 * featured_products Section options
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */

// Add featured_products section
$wp_customize->add_section( 'travelism_featured_products_section', array(
	'title'             => esc_html__( 'Featured Products','travelism-pro' ),
	'description'       => esc_html__( 'Note: To activate this section you need to install WooCommerce Plugin.', 'travelism-pro' ),
	'panel'             => 'travelism_pro_front_page_panel',
	'active_callback'   => function( $control ) {
        return ( 
        	travelism_pro_is_fourth_layout( $control )  
        );
    },
) );

// featured_products content enable control and setting
$wp_customize->add_setting( 'travelism_pro_theme_options[featured_products_section_enable]', array(
	'default'			=> 	$options['featured_products_section_enable'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[featured_products_section_enable]', array(
	'label'             => esc_html__( 'Featured Section Enable', 'travelism-pro' ),
	'section'           => 'travelism_featured_products_section',
	'on_off_label' 		=> travelism_pro_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'travelism_pro_theme_options[featured_products_section_enable]', array(
		'selector'            => '#travelism_featured_products_section .tooltiptext',
		'settings'            => 'travelism_pro_theme_options[featured_products_section_enable]',
    ) );
}

for ( $i = 1; $i <= 2; $i++ ) :

	// Add dropdown category setting and control.
	$wp_customize->add_setting(  'travelism_pro_theme_options[featured_products_content_featured_products_category_'.$i.']', array(
		'sanitize_callback' => 'absint',
	) ) ;

	$wp_customize->add_control( new Travelism_Pro_Dropdown_Taxonomies_Control( $wp_customize,'travelism_pro_theme_options[featured_products_content_featured_products_category_'.$i.']', array(
		'label'             => esc_html__( 'Select Featured Category ', 'travelism-pro' ).$i,
		'section'           => 'travelism_featured_products_section',
		'taxonomy'			=> 'product_cat',
		'type'              => 'dropdown-taxonomies',
		'active_callback'	=> 'travelism_pro_is_featured_products_section_enable'
	) ) );

	$wp_customize->add_setting( 'travelism_pro_theme_options[featured_products_title_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'travelism_pro_theme_options[featured_products_title_'.$i.']', array(
		'label'           	=> esc_html__( 'Title ', 'travelism-pro' ).$i,
		'section'        	=> 'travelism_featured_products_section',
		'active_callback' 	=> 'travelism_pro_is_featured_products_section_enable',
		'type'				=> 'text',
	) );

	$wp_customize->add_setting( 'travelism_pro_theme_options[featured_products_short_description_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'travelism_pro_theme_options[featured_products_short_description_'.$i.']', array(
		'label'           	=> esc_html__( 'Short Description ', 'travelism-pro' ).$i,
		'section'        	=> 'travelism_featured_products_section',
		'active_callback' 	=> 'travelism_pro_is_featured_products_section_enable',
		'type'				=> 'text',
	) );

endfor;

// featured_products btn title setting and control
	$wp_customize->add_setting( 'travelism_pro_theme_options[featured_products_btn_title]', array(
		'sanitize_callback' => 'sanitize_text_field',
		) );

	$wp_customize->add_control( 'travelism_pro_theme_options[featured_products_btn_title]', array(
		'label'           	=> esc_html__( 'Button Label ', 'travelism-pro' ),
		'section'        	=> 'travelism_featured_products_section',
		'active_callback' 	=> 'travelism_pro_is_featured_products_section_enable',
		'type'				=> 'text',
		) );