<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'travelism_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','travelism-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'travelism-pro' ),
	'panel'             => 'travelism_pro_theme_options_panel',
) );

$wp_customize->add_setting( 'travelism_pro_theme_options[hide_banner]', array(
	'default'           => $options['hide_banner'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'travelism-pro' ),
	'section'           => 'travelism_pro_archive_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );


$wp_customize->add_setting( 'travelism_pro_theme_options[hide_archive_post_image]', array(
	'default'           => $options['hide_archive_post_image'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[hide_archive_post_image]', array(
	'label'             => esc_html__( 'Hide Post Image', 'travelism-pro' ),
	'section'           => 'travelism_pro_archive_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'travelism-pro' ),
	'section'           => 'travelism_pro_archive_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[hide_archive_title]', array(
	'default'           => $options['hide_archive_title'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[hide_archive_title]', array(
	'label'             => esc_html__( 'Hide Post Title', 'travelism-pro' ),
	'section'           => 'travelism_pro_archive_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[hide_archive_content]', array(
	'default'           => $options['hide_archive_content'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[hide_archive_content]', array(
	'label'             => esc_html__( 'Hide Post Content', 'travelism-pro' ),
	'section'           => 'travelism_pro_archive_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// features content type control and setting
$wp_customize->add_setting( 'travelism_pro_theme_options[blog_column]', array(
	'default'          	=> $options['blog_column'],
	'sanitize_callback' => 'travelism_pro_sanitize_select',
	'transport'			=> 'refresh',
) );

$wp_customize->add_control( 'travelism_pro_theme_options[blog_column]', array(
	'label'             => esc_html__( 'Column Layout', 'travelism-pro' ),
	'section'           => 'travelism_pro_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-1'		=> esc_html__( 'One Column', 'travelism-pro' ),
		'col-2'		=> esc_html__( 'Two Column', 'travelism-pro' ),
		'col-3'		=> esc_html__( 'Three Column', 'travelism-pro' ),
		'col-4'		=> esc_html__( 'Four Column', 'travelism-pro' ),
	),
) );