<?php
/**
 * Banner Image options
 *
 * @package Theme Palace
 * @subpackage  Travelism Pro
 * @since  Travelism Pro 1.0.0
 */

$wp_customize->add_section( 'travelism_pro_banner_image',
	array(
		'title'             => esc_html__( 'Banner ( Header ) Image Enable','travelism-pro' ),
		'description'       => esc_html__( 'Banner Image section options.', 'travelism-pro' ),
		'panel'             => 'travelism_pro_theme_options_panel',
	)
);

// Banner Image enable setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[banner_image_enable]',
	array(
		'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
		'default'          	=> $options['banner_image_enable'],
	)
);

$wp_customize->add_control( new  Travelism_Pro_Switch_Control( $wp_customize,
	'travelism_pro_theme_options[banner_image_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Banner Image', 'travelism-pro' ),
			'section'          	=> 'travelism_pro_banner_image',
			'on_off_label' 		=> travelism_pro_switch_options(),
		)
	)
);

$wp_customize->add_setting( 'travelism_pro_theme_options[banner_image_overlay_color]',
	array(
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'			=> 'postMessage',
	)
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
	'travelism_pro_theme_options[banner_image_overlay_color]',
		array(
			'label'             => esc_html__( 'Banner Image Overlay Color', 'travelism-pro' ),
			'section'     		=> 'travelism_pro_banner_image',
			'active_callback'   => 'travelism_pro_is_banner_image_section_enable',
		)
	)
);

$wp_customize->add_setting( 'travelism_pro_theme_options[banner_bg_color]',
	array(
		'sanitize_callback' => 'sanitize_hex_color',
		'transport'			=> 'postMessage',
	)
);

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
	'travelism_pro_theme_options[banner_bg_color]',
		array(
			'label'             => esc_html__( 'Background Color', 'travelism-pro' ),
			'section'     		=> 'travelism_pro_banner_image',
			'active_callback'   => 'travelism_pro_is_banner_image_section_disable',
		)
	)
);

