<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */

$wp_customize->add_section( 'travelism_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','travelism-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'travelism-pro' ),
	'panel'             => 'travelism_pro_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'travelism-pro' ),
	'section'          	=> 'travelism_pro_breadcrumb',
	'on_off_label' 		=> travelism_pro_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'travelism_pro_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'travelism-pro' ),
	'active_callback' 	=> 'travelism_pro_is_breadcrumb_enable',
	'section'          	=> 'travelism_pro_breadcrumb',
) );

$wp_customize->add_setting( 'travelism_pro_theme_options[breadcrumb_title_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'postMessage',
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'travelism_pro_theme_options[breadcrumb_title_color]', array(
	'label'             => esc_html__( 'Breadcrumb Title Color', 'travelism-pro' ),
	'section'  => 'travelism_pro_breadcrumb',
	'active_callback' 	=> 'travelism_pro_is_breadcrumb_enable',
	) ) );

$wp_customize->add_setting( 'travelism_pro_theme_options[breadcrumb_path_color]', array(
	'sanitize_callback' => 'sanitize_hex_color',
	'transport'			=> 'postMessage',
	) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'travelism_pro_theme_options[breadcrumb_path_color]', array(
	'label'             => esc_html__( 'Breadcrumb Path List Color', 'travelism-pro' ),
	'section'  => 'travelism_pro_breadcrumb',
	'active_callback' 	=> 'travelism_pro_is_breadcrumb_enable',
	) ) );

// features content type control and setting
$wp_customize->add_setting( 'travelism_pro_theme_options[breadcrumb_alignment]', array(
	'sanitize_callback' => 'travelism_pro_sanitize_select',
	'default' => 'center',
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'travelism_pro_theme_options[breadcrumb_alignment]', array(
	'label'             => esc_html__( 'Breadcrumb Alignment', 'travelism-pro' ),
	'section'           => 'travelism_pro_breadcrumb',
	'type'				=> 'select',
	'choices'			=> array( 
		'left'			=> esc_html__( 'Left', 'travelism-pro' ),
		'center'		=> esc_html__( 'Center', 'travelism-pro' ),
		'right'			=> esc_html__( 'Right', 'travelism-pro' ),
	),
	'active_callback' 	=> 'travelism_pro_is_breadcrumb_enable',
) );

