<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'travelism_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','travelism-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'travelism-pro' ),
	'panel'             => 'travelism_pro_theme_options_panel',
) );

$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_banner]', array(
	'default'           => $options['single_post_hide_banner'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Tourableve author meta setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_image]', array(
	'default'           => $options['single_post_hide_image'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_image]', array(
	'label'             => esc_html__( 'Hide Post Image', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Tourableve author meta setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_content]', array(
	'default'           => $options['single_post_hide_content'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_content]', array(
	'label'             => esc_html__( 'Hide Content', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Tourableve author meta setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Tourableve date meta setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Tourableve author category setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );

// Tourableve tag category setting and control.
$wp_customize->add_setting( 'travelism_pro_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'travelism_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travelism_Pro_Switch_Control( $wp_customize, 'travelism_pro_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'travelism-pro' ),
	'section'           => 'travelism_pro_single_post_section',
	'on_off_label' 		=> travelism_pro_hide_options(),
) ) );