<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Travelism Pro
* @since Travelism Pro 1.0.0
*/

if ( ! function_exists( 'travelism_pro_validate_long_excerpt' ) ) :
  function travelism_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'travelism-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_featured_count' ) ) :
  function travelism_pro_validate_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_northface_jacket_count' ) ) :
  function travelism_pro_validate_northface_jacket_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_video_count' ) ) :
  function travelism_pro_validate_video_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_gallery_count' ) ) :
  function travelism_pro_validate_gallery_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_happy_clients_count' ) ) :
  function travelism_pro_validate_happy_clients_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_logos_count' ) ) :
  function travelism_pro_validate_logos_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 30 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_articles_count' ) ) :
  function travelism_pro_validate_articles_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_blog_slider_count' ) ) :
  function travelism_pro_validate_blog_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_blog_featured_post_count' ) ) :
  function travelism_pro_validate_blog_featured_post_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_blog_popular_post_count' ) ) :
  function travelism_pro_validate_blog_popular_post_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_most_read_post_count' ) ) :
  function travelism_pro_validate_most_read_post_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_recent_post_count' ) ) :
  function travelism_pro_validate_recent_post_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_business_service_count' ) ) :
  function travelism_pro_validate_business_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_business_team_count' ) ) :
  function travelism_pro_validate_business_team_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_business_counter_count' ) ) :
  function travelism_pro_validate_business_counter_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_shop_recent_products_count' ) ) :
  function travelism_pro_validate_shop_recent_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travelism_pro_validate_trending_products_count' ) ) :
  function kompany_pro_validate_trending_products_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travelism-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travelism-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travelism-pro' ) );
	 }
	 return $validity;
  }
endif;