<?php
/**
 * Logos section
 *
 * This is the template for the content of logos section
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */
if ( ! function_exists( 'travelism_pro_add_logos_section' ) ) :
    /**
    * Add logos section
    *
    *@since Travelism Pro 1.0.0
    */
    function travelism_pro_add_logos_section() {
        $options = travelism_pro_get_theme_options();
        // Check if logos is enabled on frontpage
        $logos_enable = apply_filters( 'travelism_pro_section_status', true, 'logos_section_enable' );

        if ( true !== $logos_enable ) {
            return false;
        }

        // Render logos section now.
        travelism_pro_render_logos_section();
    }
endif;

if ( ! function_exists( 'travelism_pro_render_logos_section' ) ) :
  /**
   * Start logos section
   *
   * @return string logos content
   * @since Travelism Pro 1.0.0
   *
   */
   function travelism_pro_render_logos_section() {
        $options = travelism_pro_get_theme_options();
      
        ?>
        
        <div id="travelism_logos_section" class="logos <?php echo esc_attr( $options['logos_col_layout'] ); ?> relative same-background page-section">
                <div class="wrapper">

                 <?php if ( is_customize_preview()):
                    travelism_pro_section_tooltip( 'travelism_logos_section' );
                    endif; ?>
                    
                  <?php for ( $i = 1; $i <= $options['logos_count']; $i++){ ?>

                    <article>

                    <?php if( !empty( $options['logos_url_' . $i] ) && !empty( $options['logos_image_' . $i] ) ): ?>

                        <div class="featured-image">
                            <a href="<?php echo esc_url( $options['logos_url_' . $i] ); ?>" target="_blank"><img src="<?php echo esc_url( $options['logos_image_' . $i] ); ?>" alt="sponsor"></a>
                        </div><!-- .featured-image -->

                        <?php endif; ?>

                    </article>

                    <?php } ?>

                </div>
            </div>
            
    <?php }
endif;