<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */
$options = travelism_pro_get_theme_options();
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'clear ' . $class ); ?>>

	<?php if( $options['single_post_hide_image'] == false && has_post_thumbnail() ){ ?>

	<div class="featured-image">
		<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'large' ) ?>" alt="<?php the_title(); ?>"></a>
	</div>

	<?php } ?>
	
	<div class="entry-container">

	<?php if ($options['single_post_hide_content'] == false ): ?>

		<div class="entry-content">
			<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'travelism-pro' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'travelism-pro' ),
				'after'  => '</div>',
				) );
				?>
			</div><!-- .entry-content -->
		
	<?php endif; ?>
		
		</div><!-- .entry-container -->

		<div class="entry-meta">
			<?php 
			if ( ! $options['single_post_hide_author'] ) :
				echo travelism_pro_author_meta();
			endif;

			if ( ! $options['single_post_hide_date'] ) :
				travelism_pro_posted_on(); 
			endif;

			travelism_pro_entry_footer(); ?>
		</div><!-- .entry-meta -->
	</article>