<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Travelism Pro
 * @since Travelism Pro 1.0.0
 */
$class = has_post_thumbnail() ? '' : 'no-post-thumbnail';
$options = travelism_pro_get_theme_options();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
    <div class="post-wrapper">
    <?php if ( has_post_thumbnail() && $options['hide_archive_post_image'] == false ) : ?>
        <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'post-thumbnail' ); ?>');">
        </div><!-- .featured-image -->
    <?php endif; ?>

        <div class="entry-container">
            <div class="entry-meta">
                <?php echo travelism_pro_article_header_meta();  ?>
            </div><!-- .entry-meta -->

            <?php if( !empty( $options['hide_archive_title'] ) == false ): ?>
            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            </header>
            <?php endif; ?>

            <?php if( !empty( $options['hide_archive_content'] ) == false ): ?>

            <div class="entry-content">
                <?php the_excerpt(); ?>
            </div><!-- .entry-content -->

            <?php endif; ?>

        </div><!-- .entry-container -->
    </div><!-- .post-wrapper -->
</article>